Subject: Non-blinking cursor patch for Linux 0.99.15+
From: [email-masked]
Date: 22 Feb 1994 18:43:02 GMT
Newsgroups: comp.os.linux.announce

Greetings:

This is to announce that I have uploaded an updated version of my 
non-blinking software cursor patch for Linux 0.99 pl15 to sunsite and
tsx-11. This patch allows you to replace the PC's standard 'blinking
underline' cursor with a non-blinking block cursor, which can be any
one of 8 different colors. Support is provided for switching back
to the standard hardware cursor and each VC's cursor can be set 
independently of each other. 

You can currently obtain it from sunsite.unc.edu:/pub/Linus/Incoming and
it should eventually come to rest at the following to locations:

tsx-11.mit.edu: /pub/linux/patches

and

sunsite.unc.edu: /pub/Linux/kernel/misc-patches

The file is called: noblink-pl15.tar.gz

As the name suggests, this version is updated to patch cleanly into
Linux 0.99 pl15. I'm currently using it with pl15b and it's been reported
to work on pl15f. It might even fit into some of the later pl14 ALPHA
versions with a little fuzz.

Aside from the update, this version should fix some problems people were
having when switching back to the standard 'blinking underline' hardware
cursor in non-standard SVGA modes (80x50, 132x44, etc...). The code
now tries to make an educated guess at what size the underline cursor
should be such that it matches the selected video mode. The original
problem setms from the fact that different SVGA modes use different size
fonts, so you can't just use one cursor size for all video modes.

Also, the rest_term() function will now switch the cursor back to whatever
its default bootup state should be (normally a white block).

Lastly, I changed the escape code used to switch from blinking underline
to blinking block modes. I recently connected a Dorio terminal to my Linux
box and discovered that the code I was using was already allocated.
(Typing 'cursor block' made the terminal start printing from right to
left instead of left to right. :) This means that you will have to compile
and install the new cursor.c program provided with the distribution.

As usual, suggestions, bug reports or other comments are always welcome.

Share and enjoy!

-Bill Paul
[email-masked]